Name:          geany
Version:       1.25
Release:       2mamba
Summary:       A small and lightweight Integrated Development Environment
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Filippo Bedendo Bordon <michiamophil@libero.it>
URL:           http://www.geany.org
Source:        http://download.geany.org/geany-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Geany is a small and lightweight Integrated Development Environment.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/geany.desktop
%dir %{_datadir}/geany
%{_datadir}/geany/*
%{_datadir}/icons/Tango/*/actions/geany-save-all.png
%{_datadir}/icons/Tango/scalable/actions/geany-save-all.svg
%{_datadir}/icons/hicolor/*
%{_datadir}/icons/hicolor/scalable/actions/*
%{_datadir}/icons/hicolor/scalable/apps/geany.svg
%dir %{_docdir}/geany
%{_docdir}/geany/*
%{_datadir}/doc/geany/manual.txt
%{_mandir}/man1/geany.1*

%files -n libgeany
%defattr(-,root,root)
%{_libdir}/libgeany.so.*
%dir %{_libdir}/geany
%{_libdir}/geany/*.la
%{_libdir}/geany/*.so
%doc AUTHORS COPYING

%files -n libgeany-devel
%defattr(-,root,root)
%dir %{_includedir}/geany
%{_includedir}/geany/*.h
%dir %{_includedir}/geany/scintilla
%dir %{_includedir}/geany/scintilla/*
%dir %{_includedir}/geany/tagmanager
%{_includedir}/geany/tagmanager/*.h
%{_libdir}/libgeany.la
%{_libdir}/libgeany.so
%{_libdir}/pkgconfig/geany.pc


%changelog
* Fri Jul 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.25-2mamba
- implement correct packaging for library

* Thu Jul 16 2015 Automatic Build System <autodist@mambasoft.it> 1.25-1mamba
- automatic update by autodist

* Wed Apr 16 2014 Automatic Build System <autodist@mambasoft.it> 1.24.1-1mamba
- automatic version update by autodist

* Mon Apr 14 2014 Automatic Build System <autodist@mambasoft.it> 1.24-1mamba
- automatic version update by autodist

* Tue May 21 2013 Automatic Build System <autodist@mambasoft.it> 1.23.1-1mamba
- automatic version update by autodist

* Thu Mar 14 2013 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic version update by autodist

* Wed Oct 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22-1mamba
- update to 1.22
- fixed specfile file name, Group and Summary; make Source: parametric for version

* Tue Nov 15 2011 Filippo Bedendo Bordon <michiamophil@libero.it> 0.21-1mamba
- package created by autospec
